 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1992, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1992 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: vgballse.h
 >>>>            Author: Greg Donohoe
 >>>> Date Last Updated: Tue Jul 28 16:40:31 1992
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _vgballse_h_
#define _vgballse_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    vgballse Argument Structure
*
****************************************************************/

typedef struct _vgballse  {

/*
 *  output image (Required outfile)
 */
char	*o_file;	/* output image FILENAME */
int	 o_flag;	/* output image FLAG */

/*
 *  origin at center (Required logical)
 */
int	 origin_logic;	/* origin at center LOGIC */
int	 origin_flag;  	/* origin at center FLAG */

/*
 * Selects data type of output image (Required string toggle - )
 */
char	*t_toggle;		/* Selects data type of output image STRING TOGGLE */
int	 t_flag;		/* Selects data type of output image FLAG */

/*
 *  trigger input (Optional infile)
 */
char	*trigger_file;	/* trigger input FILENAME */
int	 trigger_flag;	/* trigger input FLAG */

/*
 *  Diameter of circle (in pixels) (Optional float)
 */
float	 d_float;	/* Diameter of circle (in pixels) FLOAT */
int	 d_flag;   	/* Diameter of circle (in pixels) FLAG */

/*
 *  X coordinate of origin (Optional float)
 */
float	 x_float;	/* X coordinate of origin FLOAT */
int	 x_flag;   	/* X coordinate of origin FLAG */

/*
 *  Y coordinate of origin (Optional float)
 */
float	 y_float;	/* Y coordinate of origin FLOAT */
int	 y_flag;   	/* Y coordinate of origin FLAG */

/*
 *  Background level (Optional float)
 */
float	 b_float;	/* Background level FLOAT */
int	 b_flag;   	/* Background level FLAG */

}  vgballse_struct;

vgballse_struct *vgballse;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
